# GP Render

Organise export of gp layers through compositor output

### Environment variables

`FILE_FORMAT` : Define file_format used for output. If not specified, use `OPEN_EXR_MULTILAYER` (set `OPEN_EXR` for separate sequences)


### Notable operator arguments for automatisation

- `scene` (str) Define scene where GP object will be linked and rendered, if ommited scene use name `renderGP` (create scene if needed)  
- `node_scene` (str) Define scene where renderlayer nodes are addes and connected (create scene if needed), if ommited use `scene` arg above 

Following string template can be set to customize file-output paths : base_path, file_slot, layer_slot.
- `base_path` : file output base path
- `file_slot` : file output slots
- `layer_slot`: file output slots when using multilayer EXR (EXR layer names)

Available template keywords:
- {object} : Object name
- {gplayer} : GP layer name

Default template if nothing is passed:
- `base_path` = `//render/{object}` (if using multilayer-EXR: `//render/{object}/{object}_`)
- `file_slot` = `{gplayer}/{gplayer}_`
- `layer_slot` = `{gplayer}`
